import * as $dara from '@darabonba/typescript';
import { DescribeGrantRulesToEcrResponseBody } from "./DescribeGrantRulesToEcrResponseBody";
export declare class DescribeGrantRulesToEcrResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeGrantRulesToEcrResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
